Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.session.impl
Class SessionManagerEntry

    java.lang.Object
      org.opensaml.util.storage.AbstractExpiringObject
          edu.internet2.middleware.shibboleth.idp.session.impl.SessionManagerEntry

All Implemented Interfaces:
  Serializable, org.opensaml.util.storage.ExpiringObject

    public class SessionManagerEntry

extends org.opensaml.util.storage.AbstractExpiringObject

Session store entry.

See Also:
  Serialized Form

Constructor Summary
`SessionManagerEntry(Session session, long lifetime)` Constructor.

Method Summary
`org.joda.time.DateTime` | `getExpirationTime()`
`Session` | `getSession()` Gets the user session.
`String` | `getSessionId()` Gets the ID of the user session.
`List<String>` | `getSessionIndexes()` Gets the list of indexes for this session.

Methods inherited from class org.opensaml.util.storage.AbstractExpiringObject
`isExpired, onExpire`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionManagerEntry

    public SessionManagerEntry(Session session,
                               long lifetime)

  Constructor.

  Parameters:
    `session` - user session
    `lifetime` - lifetime of session

Method Detail

### getSession

    public Session getSession()

  Gets the user session.

  Returns:
    user session

### getSessionId

    public String getSessionId()

  Gets the ID of the user session.

  Returns:
    ID of the user session

### getSessionIndexes

    public List<String> getSessionIndexes()

  Gets the list of indexes for this session.

  Returns:
    list of indexes for this session

### getExpirationTime

    public org.joda.time.DateTime getExpirationTime()

  Specified by:
    `getExpirationTime` in interface `org.opensaml.util.storage.ExpiringObject`
  Overrides:
    `getExpirationTime` in class `org.opensaml.util.storage.AbstractExpiringObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2011 Internet2. All Rights Reserved.